Subject: Re: bug#60463: 29.0.60; c-ts-mode: M-x align doesn't work

From: Mohammed Sadiq <[email-masked]>
Date: Tue, 03 Jan 2023 14:35:15 +0530

>> 
>> Modifying align-c++-modes to include c-ts-mode should be enough to fix
>> this.
> 
> Could you go me a favor and look up where is align-c++-modes defined? 
> Or
> just paste the value of it, if it is programmatically defined. Thanks
> :-)

It's defined in lisp/align.el

Hint: You can do: git grep "align-c++-modes"

There might be other files too where adding c-ts-mode might be helpful.
A rough match would be something like 'git grep "[( ]c-mode[) ]"' (the
noise is too high, but files like lisp/progmodes/gud.el looks like a
positive candidate)

cheers,
Mohammed Sadiq